/* THE SOURCE CODE AND ITS
 * RELATED DOCUMENTATION IS PROVIDED "AS IS". TOSHIBA CORPORATION MAKES NO OTHER
 * WARRANTY OF ANY KIND, WHETHER EXPRESS, IMPLIED OR, STATUTORY AND DISCLAIMS ANY
 * AND ALL IMPLIED WARRANTIES OF MERCHANTABILITY, SATISFACTORY QUALITY, NON
 * INFRINGEMENT AND FITNESS FOR A PARTICULAR PURPOSE. THE SOURCE CODE AND
 * DOCUMENTATION MAY INCLUDE ERRORS. TOSHIBA CORPORATION RESERVES THE RIGHT TO
 * INCORPORATE MODIFICATIONS TO THE SOURCE CODE IN LATER REVISIONS OF IT, AND TO
 * MAKE IMPROVEMENTS OR CHANGES IN THE DOCUMENTATION OR THE PRODUCTS OR
 * TECHNOLOGIES DESCRIBED THEREIN AT ANY TIME. TOSHIBA CORPORATION SHALL NOT BE
 * LIABLE FOR ANY DIRECT, INDIRECT OR CONSEQUENTIAL DAMAGE OR LIABILITY ARISING
 * FROM YOUR USE OF THE SOURCE CODE OR ANY DOCUMENTATION, INCLUDING BUT NOT
 * LIMITED TO, LOST REVENUES, DATA OR PROFITS, DAMAGES OF ANY SPECIAL, INCIDENTAL
 * OR CONSEQUENTIAL NATURE, PUNITIVE DAMAGES, LOSS OF PROPERTY OR LOSS OF PROFITS
 * ARISING OUT OF OR IN CONNECTION WITH THIS AGREEMENT, OR BEING UNUSABLE, EVEN IF
 * ADVISED OF THE POSSIBILITY OR PROBABILITY OF SUCH DAMAGES AND WHETHER A CLAIM
 * FOR SUCH DAMAGE IS BASED UPON WARRANTY, CONTRACT, TORT, NEGLIGENCE OR
 * OTHERWISE. (C)Copyright TOSHIBA CORPORATION 2011 All rights reserved
 */

#ifndef _USER_CONFIG_H_
#define _USER_CONFIG_H_

#include "standalone_config.h"

/* Frequency of Control Loop in kHz */
/* Shall between 1kHz and 10kHz     */
#define VE_CONTROL_LOOP_FREQUENCY    1                                          /* [kHz] Frequency of MAIN control */

/* Security Features */
//#define USE_WDT                                                                 /*!< Make use of Watchdog */
//#define USE_OFD                                                                 /*!< Make use of Oscillation Frequency Detector */

/* FW configuration */
#define USE_INTERNAL_MOTOR_PARAMS                                               /*!< Use compiled in motor parameters */
//#define USE_LED                                                                 /*!< Activate LED signaling */
//#define USE_RGB_LED                                                             /*!< Activate LED signaling */
#define USE_SERIAL_COMMUNICATION                                                /*!< Activate serial communication protocol */
//#define USE_CONFIG_STORAGE                                                      /*!< Read and Store Motor Parameter ... */
//#define USE_CONFIG_STORAGE_EEPROM                                               /*!< ... in EEPROM */
//#define USE_CONFIG_STORAGE_FLASH                                                /*!< ... in flash memory */

#define USE_DSO                                                                 /*!< Activate DSO functionality */
//#define USE_HSDSO                                                               /*!< Activate Highspeed-DSO functionality */
#define USE_LOAD_STATISTICS                                                     /*!< Activate internal cpu load statistics */
//#define MEASURE_MOTOR_CONTROL_PROCESS_TIME                                      /*!< Activate the proceesing time measurements */
#define USE_ENCODER                                                             /*!< Use encoder for RPM determination */
#define USE_STALL_DETECT                                                        /*!< Activate automatic stall detection */
//#define USE_SW_OVER_UNDER_VOLTAGE_DETECTION                                     /*!< Activate software based under- and over-voltage detection */
//#define USE_MOTOR_DISCONNECT_DETECTION                                          /*!< Activate automatic motor disconnected */
//#define USE_LOAD_DEPENDANT_SPEED_REDUCTION                                      /*!< Activate load dependant speed reduction */
//#define USE_SW_OVERCURRENT_DETECTION                                            /*!< Activate over current detection by software */
//#define USE_CAN                                                                 /*!< Enable CAN communication */
//#define USE_TURN_CONTROL                                                        /*!< Activate Turn control for position reaching */
//#define USE_MOTION_CONTROL                                                      /*!< Activate Motion control for fine position reaching (robotics) */
#define USE_TORQUE_CONTROL
//#define USE_USER_CALLBACKS                                                      /*!< Make use of VE Clallback Hooks */
//#define USE_EXTERNAL_SPEED_CONTROL                                              /*!< Basic motor control via external signals - speed and direction on dedicated GPIOs */

/* for standalone application motors are already defined in standalone_config.h */
#ifndef STANDALONE_APP

/*************/
/* Channel 0 */
/*************/

/* Motor defines */
//#define MOTOR_CHANNEL_0 "motor_define_ACT_42BLF01_1sh_opa.h"                    /*!< Motor to be used */
//#define MOTOR_CHANNEL_0 "motor_define_ACT_42BLF01_1sh_ti.h"                     /*!< Motor to be used */
#define MOTOR_CHANNEL_0 "motor_define_ACT_42BLF01_3sh_opa.h"                    /*!< Motor to be used */
//#define MOTOR_CHANNEL_0 "motor_define_DB59S024035-B_Joint2.h"                   /*!< Motor to be used */
//#define MOTOR_CHANNEL_0 "motor_define_Dematek_BL4220B.h"                        /*!< Motor to be used */
//#define MOTOR_CHANNEL_0 "motor_define_Dematek_BL4220B_Ch0_Hall.h"               /*!< Motor to be used */
//#define MOTOR_CHANNEL_0 "motor_define_Dematek_BL4220B_Ch2_Encoder.h"            /*!< Motor to be used */
//#define MOTOR_CHANNEL_0 "motor_define_Dematek_BL5040B.h"                        /*!< Motor to be used */
//#define MOTOR_CHANNEL_0 "motor_define_Dematek_D8060D.h"                         /*!< Motor to be used */
//#define MOTOR_CHANNEL_0 "motor_define_DO-W_230V.h"                              /*!< Motor to be used */
//#define MOTOR_CHANNEL_0 "motor_define_Dunker_BG_42x15.h"                        /*!< Motor to be used */
//#define MOTOR_CHANNEL_0 "motor_define_EMAX_CF2805.h"                            /*!< Motor to be used */
//#define MOTOR_CHANNEL_0 "motor_define_Faulhaber_2444_1sh.h"                     /*!< Motor to be used */
//#define MOTOR_CHANNEL_0 "motor_define_Faulhaber_2444_3sh.h"                     /*!< Motor to be used */
//#define MOTOR_CHANNEL_0 "motor_define_Faulhaber_2444_Ch0.h"                     /*!< Motor to be used */
//#define MOTOR_CHANNEL_0 "motor_define_Faulhaber_2444_Ch0_TurnCtrl.h"            /*!< Motor to be used */
//#define MOTOR_CHANNEL_0 "motor_define_Faulhaber_2444_Ch1.h"                     /*!< Motor to be used */
//#define MOTOR_CHANNEL_0 "motor_define_Faulhaber_2444_Ch1_TurnCtrl.h"            /*!< Motor to be used */
//#define MOTOR_CHANNEL_0 "motor_define_Faulhaber_2444_Ch2.h"                     /*!< Motor to be used */
//#define MOTOR_CHANNEL_0 "motor_define_Faulhaber_2444_Ch2_TurnCtrl.h"            /*!< Motor to be used */
//#define MOTOR_CHANNEL_0 "motor_define_Faulhaber_2444_S_024B_K1155.h"            /*!< Motor to be used */
//#define MOTOR_CHANNEL_0 "motor_define_Faulhaber_2444_S_024B_K315.h"             /*!< Motor to be used */
//#define MOTOR_CHANNEL_0 "motor_define_Gefeg_ECs-7140_HV.h"                      /*!< Motor to be used */
//#define MOTOR_CHANNEL_0 "motor_define_Heidolf_306-30.h"                         /*!< Motor to be used */
//#define MOTOR_CHANNEL_0 "motor_define_Maxon_EC.h"                               /*!< Motor to be used */
//#define MOTOR_CHANNEL_0 "motor_define_Maxon_EC20flat.h"                         /*!< Motor to be used */
//#define MOTOR_CHANNEL_0 "motor_define_Maxon_EC283835.h"                         /*!< Motor to be used */
//#define MOTOR_CHANNEL_0 "motor_define_Maxon_EC283835_Ch0_Bella.h"               /*!< Motor to be used */
//#define MOTOR_CHANNEL_0 "motor_define_Maxon_EC283835_Ch1_Bella.h"               /*!< Motor to be used */
//#define MOTOR_CHANNEL_0 "motor_define_Maxon_EC283835_Ch2_Bella.h"               /*!< Motor to be used */
//#define MOTOR_CHANNEL_0 "motor_define_Maxon_EC_272768.h"                        /*!< Motor to be used */
//#define MOTOR_CHANNEL_0 "motor_define_Maxon_EC_272768_Ch0_Hall.h"               /*!< Motor to be used */
//#define MOTOR_CHANNEL_0 "motor_define_Maxon_EC_272768_Ch1_Hall.h"               /*!< Motor to be used */
//#define MOTOR_CHANNEL_0 "motor_define_Maxon_EC_272768_Ch2_Encoder.h"            /*!< Motor to be used */
//#define MOTOR_CHANNEL_0 "motor_define_Maxon_EC_386675.h"                        /*!< Motor to be used */
//#define MOTOR_CHANNEL_0 "motor_define_Moog_BN34-35EN-02LH.h"                    /*!< Motor to be used */
//#define MOTOR_CHANNEL_0 "motor_define_Nanotec_DB42S01@24V.h"                    /*!< Motor to be used */
//#define MOTOR_CHANNEL_0 "motor_define_Nanotec_DB42S03.h"                        /*!< Motor to be used */
//#define MOTOR_CHANNEL_0 "motor_define_Nanotec_DB42S03@HC0.h"                    /*!< Motor to be used */
//#define MOTOR_CHANNEL_0 "motor_define_Nanotec_DB42S03@HitexChannel0.h"          /*!< Motor to be used */
//#define MOTOR_CHANNEL_0 "motor_define_Nanotec_DB42S03_Ch0.h"                    /*!< Motor to be used */
//#define MOTOR_CHANNEL_0 "motor_define_Nanotec_DB42S03_Ch2.h"                    /*!< Motor to be used */
//#define MOTOR_CHANNEL_0 "motor_define_Nanotec_DB42S03_Joint1.h"                 /*!< Motor to be used */
//#define MOTOR_CHANNEL_0 "motor_define_Nanotec_DB42S03_Joint3.h"                 /*!< Motor to be used */
//#define MOTOR_CHANNEL_0 "motor_define_Nanotec_DB59S024035-B.h"                  /*!< Motor to be used */
//#define MOTOR_CHANNEL_0 "motor_define_Plexmotion_PMBA_200FK.h"                  /*!< Motor to be used */
//#define MOTOR_CHANNEL_0 "motor_define_Scorpion_3014-830KV.h"                    /*!< Motor to be used */
//#define MOTOR_CHANNEL_0 "motor_define_Shinano_DR38312.h"                        /*!< Motor to be used */
//#define MOTOR_CHANNEL_0 "motor_define_Shinano_PMBA200FKHV.h"                    /*!< Motor to be used */
//#define MOTOR_CHANNEL_0 "motor_define_Tamagawa_TS4601.h"                        /*!< Motor to be used */
//#define MOTOR_CHANNEL_0 "motor_define_TEA3PhDr150W.h"                           /*!< Motor to be used */
//#define MOTOR_CHANNEL_0 "motor_define_Tsukasa_TG-611_1sh.h"                     /*!< Motor to be used */
//#define MOTOR_CHANNEL_0 "motor_define_Tsukasa_TG-611_3sh.h"                     /*!< Motor to be used */


/*************/
/* Channel 1 */
/*************/

/* Motor defines */
//#define MOTOR_CHANNEL_1 "motor_define_ACT_42BLF01_1sh_opa.h"                    /*!< Motor to be used */
//#define MOTOR_CHANNEL_1 "motor_define_ACT_42BLF01_1sh_ti.h"                     /*!< Motor to be used */
//#define MOTOR_CHANNEL_1 "motor_define_ACT_42BLF01_3sh_opa.h"                    /*!< Motor to be used */
//#define MOTOR_CHANNEL_1 "motor_define_DB59S024035-B_Joint2.h"                   /*!< Motor to be used */
//#define MOTOR_CHANNEL_1 "motor_define_Dematek_BL4220B.h"                        /*!< Motor to be used */
//#define MOTOR_CHANNEL_1 "motor_define_Dematek_BL4220B_Ch0_Hall.h"               /*!< Motor to be used */
//#define MOTOR_CHANNEL_1 "motor_define_Dematek_BL4220B_Ch2_Encoder.h"            /*!< Motor to be used */
//#define MOTOR_CHANNEL_1 "motor_define_Dematek_BL5040B.h"                        /*!< Motor to be used */
//#define MOTOR_CHANNEL_1 "motor_define_Dematek_D8060D.h"                         /*!< Motor to be used */
//#define MOTOR_CHANNEL_1 "motor_define_DO-W_230V.h"                              /*!< Motor to be used */
//#define MOTOR_CHANNEL_1 "motor_define_Dunker_BG_42x15.h"                        /*!< Motor to be used */
//#define MOTOR_CHANNEL_1 "motor_define_EMAX_CF2805.h"                            /*!< Motor to be used */
//#define MOTOR_CHANNEL_1 "motor_define_Faulhaber_2444_1sh.h"                     /*!< Motor to be used */
//#define MOTOR_CHANNEL_1 "motor_define_Faulhaber_2444_3sh.h"                     /*!< Motor to be used */
//#define MOTOR_CHANNEL_1 "motor_define_Faulhaber_2444_Ch0.h"                     /*!< Motor to be used */
//#define MOTOR_CHANNEL_1 "motor_define_Faulhaber_2444_Ch0_TurnCtrl.h"            /*!< Motor to be used */
//#define MOTOR_CHANNEL_1 "motor_define_Faulhaber_2444_Ch1.h"                     /*!< Motor to be used */
//#define MOTOR_CHANNEL_1 "motor_define_Faulhaber_2444_Ch1_TurnCtrl.h"            /*!< Motor to be used */
//#define MOTOR_CHANNEL_1 "motor_define_Faulhaber_2444_Ch2.h"                     /*!< Motor to be used */
//#define MOTOR_CHANNEL_1 "motor_define_Faulhaber_2444_Ch2_TurnCtrl.h"            /*!< Motor to be used */
//#define MOTOR_CHANNEL_1 "motor_define_Faulhaber_2444_S_024B_K1155.h"            /*!< Motor to be used */
//#define MOTOR_CHANNEL_1 "motor_define_Faulhaber_2444_S_024B_K315.h"             /*!< Motor to be used */
//#define MOTOR_CHANNEL_1 "motor_define_Gefeg_ECs-7140_HV.h"                      /*!< Motor to be used */
//#define MOTOR_CHANNEL_1 "motor_define_Heidolf_306-30.h"                         /*!< Motor to be used */
//#define MOTOR_CHANNEL_1 "motor_define_Maxon_EC.h"                               /*!< Motor to be used */
//#define MOTOR_CHANNEL_1 "motor_define_Maxon_EC20flat.h"                         /*!< Motor to be used */
//#define MOTOR_CHANNEL_1 "motor_define_Maxon_EC283835.h"                         /*!< Motor to be used */
//#define MOTOR_CHANNEL_1 "motor_define_Maxon_EC283835_Ch0_Bella.h"               /*!< Motor to be used */
//#define MOTOR_CHANNEL_1 "motor_define_Maxon_EC283835_Ch1_Bella.h"               /*!< Motor to be used */
//#define MOTOR_CHANNEL_1 "motor_define_Maxon_EC283835_Ch2_Bella.h"               /*!< Motor to be used */
//#define MOTOR_CHANNEL_1 "motor_define_Maxon_EC_272768.h"                        /*!< Motor to be used */
//#define MOTOR_CHANNEL_1 "motor_define_Maxon_EC_272768_Ch0_Hall.h"               /*!< Motor to be used */
//#define MOTOR_CHANNEL_1 "motor_define_Maxon_EC_272768_Ch1_Hall.h"               /*!< Motor to be used */
//#define MOTOR_CHANNEL_1 "motor_define_Maxon_EC_272768_Ch2_Encoder.h"            /*!< Motor to be used */
//#define MOTOR_CHANNEL_1 "motor_define_Maxon_EC_386675.h"                        /*!< Motor to be used */
//#define MOTOR_CHANNEL_1 "motor_define_Moog_BN34-35EN-02LH.h"                    /*!< Motor to be used */
//#define MOTOR_CHANNEL_1 "motor_define_Nanotec_DB42S01@24V.h"                    /*!< Motor to be used */
//#define MOTOR_CHANNEL_1 "motor_define_Nanotec_DB42S03.h"                        /*!< Motor to be used */
//#define MOTOR_CHANNEL_1 "motor_define_Nanotec_DB42S03@HC0.h"                    /*!< Motor to be used */
//#define MOTOR_CHANNEL_1 "motor_define_Nanotec_DB42S03@HitexChannel0.h"          /*!< Motor to be used */
//#define MOTOR_CHANNEL_1 "motor_define_Nanotec_DB42S03_Ch0.h"                    /*!< Motor to be used */
//#define MOTOR_CHANNEL_1 "motor_define_Nanotec_DB42S03_Ch2.h"                    /*!< Motor to be used */
//#define MOTOR_CHANNEL_1 "motor_define_Nanotec_DB42S03_Joint1.h"                 /*!< Motor to be used */
//#define MOTOR_CHANNEL_1 "motor_define_Nanotec_DB42S03_Joint3.h"                 /*!< Motor to be used */
//#define MOTOR_CHANNEL_1 "motor_define_Nanotec_DB59S024035-B.h"                  /*!< Motor to be used */
//#define MOTOR_CHANNEL_1 "motor_define_Plexmotion_PMBA_200FK.h"                  /*!< Motor to be used */
//#define MOTOR_CHANNEL_1 "motor_define_Scorpion_3014-830KV.h"                    /*!< Motor to be used */
//#define MOTOR_CHANNEL_1 "motor_define_Shinano_DR38312.h"                        /*!< Motor to be used */
//#define MOTOR_CHANNEL_1 "motor_define_Shinano_PMBA200FKHV.h"                    /*!< Motor to be used */
//#define MOTOR_CHANNEL_1 "motor_define_Tamagawa_TS4601.h"                        /*!< Motor to be used */
//#define MOTOR_CHANNEL_1 "motor_define_TEA3PhDr150W.h"                           /*!< Motor to be used */
//#define MOTOR_CHANNEL_1 "motor_define_Tsukasa_TG-611_1sh.h"                     /*!< Motor to be used */
//#define MOTOR_CHANNEL_1 "motor_define_Tsukasa_TG-611_3sh.h"                     /*!< Motor to be used */

/*************/
/* Channel 2 */
/*************/

/* Motor defines */
//#define MOTOR_CHANNEL_2 "motor_define_ACT_42BLF01_1sh_opa.h"                    /*!< Motor to be used */
//#define MOTOR_CHANNEL_2 "motor_define_ACT_42BLF01_1sh_ti.h"                     /*!< Motor to be used */
//#define MOTOR_CHANNEL_2 "motor_define_ACT_42BLF01_3sh_opa.h"                    /*!< Motor to be used */
//#define MOTOR_CHANNEL_2 "motor_define_DB59S024035-B_Joint2.h"                   /*!< Motor to be used */
//#define MOTOR_CHANNEL_2 "motor_define_Dematek_BL4220B.h"                        /*!< Motor to be used */
//#define MOTOR_CHANNEL_2 "motor_define_Dematek_BL4220B_Ch0_Hall.h"               /*!< Motor to be used */
//#define MOTOR_CHANNEL_2 "motor_define_Dematek_BL4220B_Ch2_Encoder.h"            /*!< Motor to be used */
//#define MOTOR_CHANNEL_2 "motor_define_Dematek_BL5040B.h"                        /*!< Motor to be used */
//#define MOTOR_CHANNEL_2 "motor_define_Dematek_D8060D.h"                         /*!< Motor to be used */
//#define MOTOR_CHANNEL_2 "motor_define_DO-W_230V.h"                              /*!< Motor to be used */
//#define MOTOR_CHANNEL_2 "motor_define_Dunker_BG_42x15.h"                        /*!< Motor to be used */
//#define MOTOR_CHANNEL_2 "motor_define_EMAX_CF2805.h"                            /*!< Motor to be used */
//#define MOTOR_CHANNEL_2 "motor_define_Faulhaber_2444_1sh.h"                     /*!< Motor to be used */
//#define MOTOR_CHANNEL_2 "motor_define_Faulhaber_2444_3sh.h"                     /*!< Motor to be used */
//#define MOTOR_CHANNEL_2 "motor_define_Faulhaber_2444_Ch0.h"                     /*!< Motor to be used */
//#define MOTOR_CHANNEL_2 "motor_define_Faulhaber_2444_Ch0_TurnCtrl.h"            /*!< Motor to be used */
//#define MOTOR_CHANNEL_2 "motor_define_Faulhaber_2444_Ch1.h"                     /*!< Motor to be used */
//#define MOTOR_CHANNEL_2 "motor_define_Faulhaber_2444_Ch1_TurnCtrl.h"            /*!< Motor to be used */
//#define MOTOR_CHANNEL_2 "motor_define_Faulhaber_2444_Ch2.h"                     /*!< Motor to be used */
//#define MOTOR_CHANNEL_2 "motor_define_Faulhaber_2444_Ch2_TurnCtrl.h"            /*!< Motor to be used */
//#define MOTOR_CHANNEL_2 "motor_define_Faulhaber_2444_S_024B_K1155.h"            /*!< Motor to be used */
//#define MOTOR_CHANNEL_2 "motor_define_Faulhaber_2444_S_024B_K315.h"             /*!< Motor to be used */
//#define MOTOR_CHANNEL_2 "motor_define_Gefeg_ECs-7140_HV.h"                      /*!< Motor to be used */
//#define MOTOR_CHANNEL_2 "motor_define_Heidolf_306-30.h"                         /*!< Motor to be used */
//#define MOTOR_CHANNEL_2 "motor_define_Maxon_EC.h"                               /*!< Motor to be used */
//#define MOTOR_CHANNEL_2 "motor_define_Maxon_EC20flat.h"                         /*!< Motor to be used */
//#define MOTOR_CHANNEL_2 "motor_define_Maxon_EC283835.h"                         /*!< Motor to be used */
//#define MOTOR_CHANNEL_2 "motor_define_Maxon_EC283835_Ch0_Bella.h"               /*!< Motor to be used */
//#define MOTOR_CHANNEL_2 "motor_define_Maxon_EC283835_Ch1_Bella.h"               /*!< Motor to be used */
//#define MOTOR_CHANNEL_2 "motor_define_Maxon_EC283835_Ch2_Bella.h"               /*!< Motor to be used */
//#define MOTOR_CHANNEL_2 "motor_define_Maxon_EC_272768.h"                        /*!< Motor to be used */
//#define MOTOR_CHANNEL_2 "motor_define_Maxon_EC_272768_Ch0_Hall.h"               /*!< Motor to be used */
//#define MOTOR_CHANNEL_2 "motor_define_Maxon_EC_272768_Ch1_Hall.h"               /*!< Motor to be used */
//#define MOTOR_CHANNEL_2 "motor_define_Maxon_EC_272768_Ch2_Encoder.h"            /*!< Motor to be used */
//#define MOTOR_CHANNEL_2 "motor_define_Maxon_EC_386675.h"                        /*!< Motor to be used */
//#define MOTOR_CHANNEL_2 "motor_define_Moog_BN34-35EN-02LH.h"                    /*!< Motor to be used */
//#define MOTOR_CHANNEL_2 "motor_define_Nanotec_DB42S01@24V.h"                    /*!< Motor to be used */
//#define MOTOR_CHANNEL_2 "motor_define_Nanotec_DB42S03.h"                        /*!< Motor to be used */
//#define MOTOR_CHANNEL_2 "motor_define_Nanotec_DB42S03@HC0.h"                    /*!< Motor to be used */
//#define MOTOR_CHANNEL_2 "motor_define_Nanotec_DB42S03@HitexChannel0.h"          /*!< Motor to be used */
//#define MOTOR_CHANNEL_2 "motor_define_Nanotec_DB42S03_Ch0.h"                    /*!< Motor to be used */
//#define MOTOR_CHANNEL_2 "motor_define_Nanotec_DB42S03_Ch2.h"                    /*!< Motor to be used */
//#define MOTOR_CHANNEL_2 "motor_define_Nanotec_DB42S03_Joint1.h"                 /*!< Motor to be used */
//#define MOTOR_CHANNEL_2 "motor_define_Nanotec_DB42S03_Joint3.h"                 /*!< Motor to be used */
//#define MOTOR_CHANNEL_2 "motor_define_Nanotec_DB59S024035-B.h"                  /*!< Motor to be used */
//#define MOTOR_CHANNEL_2 "motor_define_Plexmotion_PMBA_200FK.h"                  /*!< Motor to be used */
//#define MOTOR_CHANNEL_2 "motor_define_Scorpion_3014-830KV.h"                    /*!< Motor to be used */
//#define MOTOR_CHANNEL_2 "motor_define_Shinano_DR38312.h"                        /*!< Motor to be used */
//#define MOTOR_CHANNEL_2 "motor_define_Shinano_PMBA200FKHV.h"                    /*!< Motor to be used */
//#define MOTOR_CHANNEL_2 "motor_define_Tamagawa_TS4601.h"                        /*!< Motor to be used */
//#define MOTOR_CHANNEL_2 "motor_define_TEA3PhDr150W.h"                           /*!< Motor to be used */
//#define MOTOR_CHANNEL_2 "motor_define_Tsukasa_TG-611_1sh.h"                     /*!< Motor to be used */
//#define MOTOR_CHANNEL_2 "motor_define_Tsukasa_TG-611_3sh.h"                     /*!< Motor to be used */

/* Default Power Board override */
//#define BOARD_PWR_HEADER_FILE_1       "m4kn_pwr.h"
//#define BOARD_PWR_HEADER_FILE_1       "m374pwr_lv.h"                            /*! Powerboard to be used */
//#define BOARD_PWR_HEADER_FILE_1       "m374pwr_hv.h"                            /*! Powerboard to be used */
//#define BOARD_PWR_HEADER_FILE_1       "m37xlv_power.h"                          /*! Powerboard to be used */
//#define BOARD_PWR_HEADER_FILE_1       "m37x_ipm_power_ver1.h"                   /*! Powerboard to be used */
//#define BOARD_PWR_HEADER_FILE_1       "m37x_ipm_power_ver2.h"                   /*! Powerboard to be used */
//#define BOARD_PWR_HEADER_FILE_1       "super_mini_dip.h"                        /*! Powerboard to be used */
//#define BOARD_PWR_HEADER_FILE_1       "M37XFM400TU.h"                           /*! Powerboard to be used */

#endif /* ifndef (STANDALONE_DEMO) */

/* Which channel to store in EEProm */
#define MOTOR_CHANNEL_FOR_STORAGE                1                                /*!< Motor channel to be stored if not enough memory for all */

#if ((!defined MOTOR_CHANNEL_0) && (!defined MOTOR_CHANNEL_1) && (!defined MOTOR_CHANNEL_2) && (defined USE_INTERNAL_MOTOR_PARAMS))
#warning No compiled in Motor defined while USE_INTERNAL_MOTOR_PARAMS is set
#endif

#endif /* _USER_CONFIG_H_ */
