/* THE SOURCE CODE AND ITS
 * RELATED DOCUMENTATION IS PROVIDED "AS IS". TOSHIBA CORPORATION MAKES NO OTHER
 * WARRANTY OF ANY KIND, WHETHER EXPRESS, IMPLIED OR, STATUTORY AND DISCLAIMS ANY
 * AND ALL IMPLIED WARRANTIES OF MERCHANTABILITY, SATISFACTORY QUALITY, NON
 * INFRINGEMENT AND FITNESS FOR A PARTICULAR PURPOSE. THE SOURCE CODE AND
 * DOCUMENTATION MAY INCLUDE ERRORS. TOSHIBA CORPORATION RESERVES THE RIGHT TO
 * INCORPORATE MODIFICATIONS TO THE SOURCE CODE IN LATER REVISIONS OF IT, AND TO
 * MAKE IMPROVEMENTS OR CHANGES IN THE DOCUMENTATION OR THE PRODUCTS OR
 * TECHNOLOGIES DESCRIBED THEREIN AT ANY TIME. TOSHIBA CORPORATION SHALL NOT BE
 * LIABLE FOR ANY DIRECT, INDIRECT OR CONSEQUENTIAL DAMAGE OR LIABILITY ARISING
 * FROM YOUR USE OF THE SOURCE CODE OR ANY DOCUMENTATION, INCLUDING BUT NOT
 * LIMITED TO, LOST REVENUES, DATA OR PROFITS, DAMAGES OF ANY SPECIAL, INCIDENTAL
 * OR CONSEQUENTIAL NATURE, PUNITIVE DAMAGES, LOSS OF PROPERTY OR LOSS OF PROFITS
 * ARISING OUT OF OR IN CONNECTION WITH THIS AGREEMENT, OR BEING UNUSABLE, EVEN IF
 * ADVISED OF THE POSSIBILITY OR PROBABILITY OF SUCH DAMAGES AND WHETHER A CLAIM
 * FOR SUCH DAMAGE IS BASED UPON WARRANTY, CONTRACT, TORT, NEGLIGENCE OR
 * OTHERWISE. (C)Copyright TOSHIBA CORPORATION 2011 All rights reserved
 */
#ifndef _CAN_H_
#define _CAN_H_

#define GROUP_OFFSET    0  
#define SUBFROUP_OFFSET 4
#define ADDRESS_OFFSET  8

typedef enum {
  NONE                                            = 0,
  EMERGENCY                                       = 1,
  STATUS_INFORMATION                              = 2,
  TARGET_SETTING                                  = 3, 
  CONFIGURATION_INFORMATION                       = 6,
  CONFIGURATION_SETTING                           = 7,
} can_group;

typedef enum {
  EMERGENCY_SHUTDOWN_ALL                          = 0,
  EMERGENCY_SHUTDOWN_NODE                         = 1,
  STATUS_INFORMATION_EMERGENCY_SHUTDOWN           = 0,
  STATUS_INFORMATION_SPEED_TORQUE_CURRENT         = 1,
  STATUS_INFORMATION_TURN_POSITION                = 2,
  TARGET_SETTING_SPEED_NODE                       = 2,
  TARGET_SETTING_TURN_NODE                        = 3,
  CONFIGURATION_INFORMATION_NAME                  = 0,
  CONFIGURATION_INFORMATION_RPM                   = 1,
  CONFIGURATION_INFORMATION_MAX_VA                = 2,
  CONFIGURATION_INFORMATION_TORQUE                = 3,
  CONFIGURATION_INFORMATION_INDUCTANCE_RESISTOR   = 4,
  CONFIGURATION_INFORMATION_REVISION              = 15,
} can_sub_group;

void CanTask( void *pvParameters );
#endif /* _CAN_H_ */
