/* THE SOURCE CODE AND ITS
 * RELATED DOCUMENTATION IS PROVIDED "AS IS". TOSHIBA CORPORATION MAKES NO OTHER
 * WARRANTY OF ANY KIND, WHETHER EXPRESS, IMPLIED OR, STATUTORY AND DISCLAIMS ANY
 * AND ALL IMPLIED WARRANTIES OF MERCHANTABILITY, SATISFACTORY QUALITY, NON
 * INFRINGEMENT AND FITNESS FOR A PARTICULAR PURPOSE. THE SOURCE CODE AND
 * DOCUMENTATION MAY INCLUDE ERRORS. TOSHIBA CORPORATION RESERVES THE RIGHT TO
 * INCORPORATE MODIFICATIONS TO THE SOURCE CODE IN LATER REVISIONS OF IT, AND TO
 * MAKE IMPROVEMENTS OR CHANGES IN THE DOCUMENTATION OR THE PRODUCTS OR
 * TECHNOLOGIES DESCRIBED THEREIN AT ANY TIME. TOSHIBA CORPORATION SHALL NOT BE
 * LIABLE FOR ANY DIRECT, INDIRECT OR CONSEQUENTIAL DAMAGE OR LIABILITY ARISING
 * FROM YOUR USE OF THE SOURCE CODE OR ANY DOCUMENTATION, INCLUDING BUT NOT
 * LIMITED TO, LOST REVENUES, DATA OR PROFITS, DAMAGES OF ANY SPECIAL, INCIDENTAL
 * OR CONSEQUENTIAL NATURE, PUNITIVE DAMAGES, LOSS OF PROPERTY OR LOSS OF PROFITS
 * ARISING OUT OF OR IN CONNECTION WITH THIS AGREEMENT, OR BEING UNUSABLE, EVEN IF
 * ADVISED OF THE POSSIBILITY OR PROBABILITY OF SUCH DAMAGES AND WHETHER A CLAIM
 * FOR SUCH DAMAGE IS BASED UPON WARRANTY, CONTRACT, TORT, NEGLIGENCE OR
 * OTHERWISE. (C)Copyright TOSHIBA CORPORATION 2011 All rights reserved
 */

#include "config.h"
#ifdef USE_KEYPAD

#include "hal_gpio.h"
#include "keypad.h"

/*! \brief Keypad init
  *
  * Initialize the ports for the keypad
  *
  * @retval None
*/
void KEYPAD_Init(void)
{
  HAL_GPIO_Init(HAL_GPIO_PORT_H,
                HAL_GPIO_BIT_2 |
                HAL_GPIO_BIT_3 |
                HAL_GPIO_BIT_4 |
                HAL_GPIO_BIT_5 |
                HAL_GPIO_BIT_6 |
                HAL_GPIO_BIT_7,   HAL_GPIO_INPUT);
}

/*! \brief Keypad Get State
  *
  * Get the state of the keypad buttons
  *
  * @retval None
*/
unsigned char KEYPAD_GetState(void)
{
  return ((~(HAL_GPIO_ReadData(HAL_GPIO_PORT_H) >> 2)) & 0x3f);                             /* Lower 2 Bits are used for LED */
}

#endif
