/* THE SOURCE CODE AND ITS
 * RELATED DOCUMENTATION IS PROVIDED "AS IS". TOSHIBA CORPORATION MAKES NO OTHER
 * WARRANTY OF ANY KIND, WHETHER EXPRESS, IMPLIED OR, STATUTORY AND DISCLAIMS ANY
 * AND ALL IMPLIED WARRANTIES OF MERCHANTABILITY, SATISFACTORY QUALITY, NON
 * INFRINGEMENT AND FITNESS FOR A PARTICULAR PURPOSE. THE SOURCE CODE AND
 * DOCUMENTATION MAY INCLUDE ERRORS. TOSHIBA CORPORATION RESERVES THE RIGHT TO
 * INCORPORATE MODIFICATIONS TO THE SOURCE CODE IN LATER REVISIONS OF IT, AND TO
 * MAKE IMPROVEMENTS OR CHANGES IN THE DOCUMENTATION OR THE PRODUCTS OR
 * TECHNOLOGIES DESCRIBED THEREIN AT ANY TIME. TOSHIBA CORPORATION SHALL NOT BE
 * LIABLE FOR ANY DIRECT, INDIRECT OR CONSEQUENTIAL DAMAGE OR LIABILITY ARISING
 * FROM YOUR USE OF THE SOURCE CODE OR ANY DOCUMENTATION, INCLUDING BUT NOT
 * LIMITED TO, LOST REVENUES, DATA OR PROFITS, DAMAGES OF ANY SPECIAL, INCIDENTAL
 * OR CONSEQUENTIAL NATURE, PUNITIVE DAMAGES, LOSS OF PROPERTY OR LOSS OF PROFITS
 * ARISING OUT OF OR IN CONNECTION WITH THIS AGREEMENT, OR BEING UNUSABLE, EVEN IF
 * ADVISED OF THE POSSIBILITY OR PROBABILITY OF SUCH DAMAGES AND WHETHER A CLAIM
 * FOR SUCH DAMAGE IS BASED UPON WARRANTY, CONTRACT, TORT, NEGLIGENCE OR
 * OTHERWISE. (C)Copyright TOSHIBA CORPORATION 2011 All rights reserved
 */
#include <stdint.h>

#define USE_EMERGENCY_SIGNAL
#define USE_OVERVOLTAGE_SIGNAL

/* BOARD PARAMETER */
#define BOARD_NAME_PWR                          "M4KN_PWR"

#define BOARD_DEAD_TIME                          800                            /* [ns]             - Dead time for FETs                       */
#define BOARD_BOOTSTRAP_DELAY                     10                            /* [ms]             - Bootstrap time                           */

/* Uncomment for clamping the voltage to a fixed value */
//#define CLAMP_DC_VOLTAGE

#ifdef CLAMP_DC_VOLTAGE
#define BOARD_VDC_CHANNEL_0_VALUE                 24                            /* [V]              - Clamp voltage                            */
#define BOARD_VDC_CHANNEL_0_UNIT                  0
#define BOARD_VDC_CHANNEL_1_VALUE                 24                            /* [V]              - Clamp voltage                            */
#define BOARD_VDC_CHANNEL_1_UNIT                  0
#define BOARD_VDC_CHANNEL_2_VALUE                 24                            /* [V]              - Clamp voltage                            */
#define BOARD_VDC_CHANNEL_2_UNIT                  0
#endif /* CLAMP_DC_VOLTAGE */

#define BOARD_SENSITIVITY_CURRENT_MEASURE_VALUE  160                            /*                  - Sensivity of current measurement circuit */
#define BOARD_SENSITIVITY_CURRENT_MEASURE_UNIT  MV_BY_A                         /* [mV/A]                                                      */
#define BOARD_MEASUREMENT_TYPE                  CURRENT_SHUNT_3                 /* [NONE]                                                      */
#define BOARD_CURRENT_MEASURE_DIRECTION         CURRENT_MEASUREMENT_INVERTED
#define BOARD_SENSITIVITY_VOLTAGE_MEASURE_VALUE   76                            /*                  - Sensivity of voltage measurement circuit */
#define BOARD_SENSITIVITY_VOLTAGE_MEASURE_UNIT  MV_BY_V                         /* [mV/V]                                                      */
#define BOARD_POLL                              POLARISATION_HIGH               /* [NONE]           - Low  Side FETs high active               */
#define BOARD_POLH                              POLARISATION_HIGH               /* [NONE]           - High Side FETs high active               */
