/* THE SOURCE CODE AND ITS
 * RELATED DOCUMENTATION IS PROVIDED "AS IS". TOSHIBA CORPORATION MAKES NO OTHER
 * WARRANTY OF ANY KIND, WHETHER EXPRESS, IMPLIED OR, STATUTORY AND DISCLAIMS ANY
 * AND ALL IMPLIED WARRANTIES OF MERCHANTABILITY, SATISFACTORY QUALITY, NON
 * INFRINGEMENT AND FITNESS FOR A PARTICULAR PURPOSE. THE SOURCE CODE AND
 * DOCUMENTATION MAY INCLUDE ERRORS. TOSHIBA CORPORATION RESERVES THE RIGHT TO
 * INCORPORATE MODIFICATIONS TO THE SOURCE CODE IN LATER REVISIONS OF IT, AND TO
 * MAKE IMPROVEMENTS OR CHANGES IN THE DOCUMENTATION OR THE PRODUCTS OR
 * TECHNOLOGIES DESCRIBED THEREIN AT ANY TIME. TOSHIBA CORPORATION SHALL NOT BE
 * LIABLE FOR ANY DIRECT, INDIRECT OR CONSEQUENTIAL DAMAGE OR LIABILITY ARISING
 * FROM YOUR USE OF THE SOURCE CODE OR ANY DOCUMENTATION, INCLUDING BUT NOT
 * LIMITED TO, LOST REVENUES, DATA OR PROFITS, DAMAGES OF ANY SPECIAL, INCIDENTAL
 * OR CONSEQUENTIAL NATURE, PUNITIVE DAMAGES, LOSS OF PROPERTY OR LOSS OF PROFITS
 * ARISING OUT OF OR IN CONNECTION WITH THIS AGREEMENT, OR BEING UNUSABLE, EVEN IF
 * ADVISED OF THE POSSIBILITY OR PROBABILITY OF SUCH DAMAGES AND WHETHER A CLAIM
 * FOR SUCH DAMAGE IS BASED UPON WARRANTY, CONTRACT, TORT, NEGLIGENCE OR
 * OTHERWISE. (C)Copyright TOSHIBA CORPORATION 2011 All rights reserved
 */

#ifdef BOARD_PWR_HEADER_FILE_0
#include BOARD_PWR_HEADER_FILE_0
#include "pwr_undefine.h"
#endif /* BOARD_PWR_HEADER_FILE_0 */

#ifdef BOARD_PWR_HEADER_FILE_1
#include BOARD_PWR_HEADER_FILE_1
#include "pwr_undefine.h"
#endif /* BOARD_PWR_HEADER_FILE_1 */

#ifdef USE_TEMPERATURE_CONTROL
typedef struct {
  uint16_t  adc;					/* ADC raw value */
  int16_t    temperature;			/* according temerature */
} temp_table;

#ifdef VISHAY_NTCLE100E3103JB0
/* Temperature Table for Vishay NTCLE100E3103JB0 */
static const temp_table temperature[]={
                                  {0xF87,-40},
                                  {0xF5B,-35},
                                  {0xF22,-30},
                                  {0xED9,-25},
                                  {0xE7E,-20},
                                  {0xE0F,-15},
                                  {0xD89,-10},
                                  {0xCEE, -5},
                                  {0xC3D,  0},
                                  {0xB78,  5},
                                  {0xAA4, 10},
                                  {0x9C6, 15},
                                  {0x8E2, 20},
                                  {0x800, 25},
                                  {0x723, 30},
                                  {0x652, 35},
                                  {0x590, 40},
                                  {0x4DE, 45},
                                  {0x43D, 50},
                                  {0x3AE, 55},
                                  {0x330, 60},
                                  {0x2C2, 65},
                                  {0x263, 70},
                                  {0x210, 75},
                                  {0x1C9, 80},
                                  {0x18C, 85},
                                  {0x157, 90},
                                  {0x12A, 95},
                                  {0x104,100},
                                  {0x0E3,105},
                                  {0x0C6,110},
                                  {0x0AE,115},
                                  {0x098,120},
                                  {0x086,125},
                                };
#endif /* VISHAY_NTCLE100E3103JB0 */

#ifdef MITSUBISHI_PS219B4_AS
/* Temperature Table for Mitsubishi PS219B4-AS */
static const temp_table temperature[]={
                                    {0x00F,-15},
                                    {0x029,-10},
                                    {0x043, -5},
                                    {0x05E,  0},
                                    {0x078,  5},
                                    {0x092, 10},
                                    {0x0AC, 15},
                                    {0x0C7, 20},
                                    {0x0E1, 25},
                                    {0x0FB, 30},
                                    {0x115, 35},
                                    {0x130, 40},
                                    {0x14A, 45},
                                    {0x164, 50},
                                    {0x17E, 55},
                                    {0x199, 60},
                                    {0x1B3, 65},
                                    {0x1CD, 70},
                                    {0x1E7, 75},
                                    {0x202, 80},
                                    {0x21C, 85},
                                    {0x236, 90},
                                    {0x250, 95},
                                    {0x26B,100},
                                    {0x285,105},
                                    {0x29F,110},
                                    {0x2BA,115},
                                    {0x2D4,120},
                                  };
#define PTC     1
#define NTC     0

#endif /* MITSUBISHI_PS219B4_AS */

#ifdef MITSUBISHI_FM400TU_07A
/* Temperature Table for Mitsubishi FM400TU-07A */
static const temp_table temperature[]={
                                    {0x3E7,-40},
                                    {0x3DD,-35},
                                    {0x3D0,-30},
                                    {0x3BE,-25},
                                    {0x3A8,-20},
                                    {0x38D,-15},
                                    {0x36B,-10},
                                    {0x344, -5},
                                    {0x317,  0},
                                    {0x2E4,  5},
                                    {0x2AD, 10},
                                    {0x274, 15},
                                    {0x239, 20},
                                    {0x1FF, 25},
                                    {0x1C7, 30},
                                    {0x191, 35},
                                    {0x160, 40},
                                    {0x133, 45},
                                    {0x10B, 50},
                                    {0x0E8, 55},
                                    {0x0C8, 60},
                                    {0x0AD, 65},
                                    {0x096, 70},
                                    {0x082, 75},
                                    {0x070, 80},
                                    {0x061, 85},
                                    {0x054, 90},
                                    {0x04A, 95},
                                    {0x040,100},
                                    {0x038,105},
                                    {0x031,110},
                                    {0x02B,115},
                                    {0x026,120},
                                    {0x022,125},
                                  };
#define NTC     1
#define PTC     0

#endif /* MITSUBISHI_FM400TU_07A */

#ifdef TDK_NTCG163JF103FT1
static const temp_table temperature[]={
                                    {0xE48, -20},
                                    {0xCFB, -10},
                                    {0xB8E,   0},
                                    {0x9F6,  10},
                                    {0x862,  20},
                                    {0x6DB,  30},
                                    {0x58B,  40},
                                    {0x468,  50},
                                    {0x380,  60},
                                    {0x2C7,  70},
                                    {0x235,  80},
                                    {0x1B7,  90},
                                    {0x159, 100}
                                  };
#endif /* TDK_NTCG163JF103FT1 */

#ifdef B57703_M0502_G40
static const temp_table temperature[]={
                                    {0xFF5,  10},
                                    {0xE13,  15},
                                    {0xC4D,  20},
                                    {0xAAA,  25},
                                    {0x930,  30},
                                    {0x7E0,  35},
                                    {0x6BB,  40},
                                    {0x5BC,  45},
                                    {0x4E2,  50},
                                    {0x428,  55},
                                    {0x38A,  60},
                                    {0x304,  65},
                                    {0x293,  70},
                                    {0x234,  75},
                                    {0x1E4,  80},
                                    {0x1A0,  85},
                                    {0x167,  90},
                                    {0x136,  95},
                                    {0x10D, 100},
                                    {0xEA , 105},
                                    {0xCC , 110},
                                    {0xB2 , 115},
                                    {0x9C , 120},
                                    {0x89 , 125},
                                    {0x79 , 130},
                                    {0x6B , 135},
                                    {0x5F , 140},
                                    {0x54 , 145},
                                    {0x4B , 150},
                                    {0x43 , 155}
                                  };
#endif /* B57703_M0502_G40 */

#ifdef LM61CIM3X_NOPB
static const temp_table temperature[]={   
                                    {0x00F6, -30},
                                    {0x011F, -25},
                                    {0x0148, -20},
                                    {0x0171, -15},
                                    {0x019A, -10},
                                    {0x01C3, -5},
                                    {0x01EC, 0},
                                    {0x0214, 5},
                                    {0x023D, 10},
                                    {0x0266, 15},
                                    {0x028F, 20},
                                    {0x02B8, 25},
                                    {0x02E1, 30},
                                    {0x030A, 35},
                                    {0x0333, 40},
                                    {0x035C, 45},
                                    {0x0385, 50},
                                    {0x03AE, 55},
                                    {0x03D7, 60},
                                    {0x0400, 65},
                                    {0x0429, 70},
                                    {0x0452, 75},
                                    {0x047B, 80},
                                    {0x04A4, 85},
                                    {0x04CD, 90},
                                    {0x04F6, 95},
                                    {0x051F, 100},
                                  };

#endif /* LM61CIM3X_NOPB */

#endif /*USE_TEMPERATURE_CONTROL */
