/* THE SOURCE CODE AND ITS
 * RELATED DOCUMENTATION IS PROVIDED "AS IS". TOSHIBA CORPORATION MAKES NO OTHER
 * WARRANTY OF ANY KIND, WHETHER EXPRESS, IMPLIED OR, STATUTORY AND DISCLAIMS ANY
 * AND ALL IMPLIED WARRANTIES OF MERCHANTABILITY, SATISFACTORY QUALITY, NON
 * INFRINGEMENT AND FITNESS FOR A PARTICULAR PURPOSE. THE SOURCE CODE AND
 * DOCUMENTATION MAY INCLUDE ERRORS. TOSHIBA CORPORATION RESERVES THE RIGHT TO
 * INCORPORATE MODIFICATIONS TO THE SOURCE CODE IN LATER REVISIONS OF IT, AND TO
 * MAKE IMPROVEMENTS OR CHANGES IN THE DOCUMENTATION OR THE PRODUCTS OR
 * TECHNOLOGIES DESCRIBED THEREIN AT ANY TIME. TOSHIBA CORPORATION SHALL NOT BE
 * LIABLE FOR ANY DIRECT, INDIRECT OR CONSEQUENTIAL DAMAGE OR LIABILITY ARISING
 * FROM YOUR USE OF THE SOURCE CODE OR ANY DOCUMENTATION, INCLUDING BUT NOT
 * LIMITED TO, LOST REVENUES, DATA OR PROFITS, DAMAGES OF ANY SPECIAL, INCIDENTAL
 * OR CONSEQUENTIAL NATURE, PUNITIVE DAMAGES, LOSS OF PROPERTY OR LOSS OF PROFITS
 * ARISING OUT OF OR IN CONNECTION WITH THIS AGREEMENT, OR BEING UNUSABLE, EVEN IF
 * ADVISED OF THE POSSIBILITY OR PROBABILITY OF SUCH DAMAGES AND WHETHER A CLAIM
 * FOR SUCH DAMAGE IS BASED UPON WARRANTY, CONTRACT, TORT, NEGLIGENCE OR
 * OTHERWISE. (C)Copyright TOSHIBA CORPORATION 2011 All rights reserved
 */

#ifndef _HAL_CG_H_
#define _HAL_CG_H_

#include "api.h"
#include "txz_driver_def.h"

typedef enum
{
  HAL_CG_CLK_PORT_A = 0x0, /*!< 0 : PORT_A */
  HAL_CG_CLK_PORT_B,       /*!< 1 : PORT_B */
  HAL_CG_CLK_PORT_C,       /*!< 2 : PORT_C */
  HAL_CG_CLK_PORT_D,       /*!< 3 : PORT_D */
  HAL_CG_CLK_PORT_E,       /*!< 4 : PORT_E */
  HAL_CG_CLK_PORT_F,       /*!< 5 : PORT_F */
  HAL_CG_CLK_PORT_G,       /*!< 6 : PORT_G */
  HAL_CG_CLK_PORT_H,       /*!< 7 : PORT_H */
  HAL_CG_CLK_PORT_J,       /*!< 8 : PORT_J */
  HAL_CG_CLK_PORT_K,       /*!< 9 : PORT_K */
  HAL_CG_CLK_PORT_L,       /*!< 10: PORT_L */
  HAL_CG_CLK_PORT_M,       /*!< 11: PORT_M */
  HAL_CG_CLK_PORT_N,       /*!< 12: PORT_N */
  HAL_CG_CLK_PORT_P,       /*!< 13: PORT_P */
  HAL_CG_CLK_PORT_R,       /*!< 14: PORT_R */
  HAL_CG_CLK_PORT_T,       /*!< 15: PORT_T */
  HAL_CG_CLK_PORT_U,       /*!< 16: PORT_U */
  HAL_CG_CLK_PORT_V,       /*!< 17: PORT_V */
  HAL_CG_CLK_PORT_W,       /*!< 18: PORT_W */
  HAL_CG_CLK_TSPI_CH0,     /*!< 19: TSPI_CH0 */
  HAL_CG_CLK_TSPI_CH1,     /*!< 20: TSPI_CH1 */
  HAL_CG_CLK_UART_CH0,     /*!< 21: UART_CH0 */
  HAL_CG_CLK_UART_CH1,     /*!< 22: UART_CH1 */
  HAL_CG_CLK_UART_CH2,     /*!< 23: UART_CH2 */
  HAL_CG_CLK_UART_CH3,     /*!< 24: UART_CH3 */
  HAL_CG_CLK_I2C_CH0,      /*!< 25: I2C_CH0, */
  HAL_CG_CLK_I2C_CH1,      /*!< 26: I2C_CH1, */
  HAL_CG_CLK_CAN,          /*!< 27: CAN */
  HAL_CG_CLK_T32A_CH0,     /*!< 28: T32A CH0 */
  HAL_CG_CLK_T32A_CH1,     /*!< 29: T32A CH1 */
  HAL_CG_CLK_T32A_CH2,     /*!< 30: T32A CH2 */
  HAL_CG_CLK_T32A_CH3     /*!< 31: T32A CH3 */
}HAL_CG_CLK_A;

typedef enum
{
  HAL_CG_CLK_T32A_CH04 = 0x0,   /*!< 0 : T32A ch04 */
  HAL_CG_CLK_T32A_CH05,         /*!< 1 : T32A ch05 */
  HAL_CG_CLK_ADC_UA,            /*!< 2 : ADC UnitA */
  HAL_CG_CLK_ADC_UB,            /*!< 3 : ADC UnitB */
  HAL_CG_CLK_ADC_UC,            /*!< 4 : ADC UnitC */
  HAL_CG_CLK_ADC_OP_UABC,       /*!< 5 : OPAMP UnitA/B/C */
  HAL_CG_CLK_A_ENC_CH0,         /*!< 6 : A-ENC32 ch0 */
  HAL_CG_CLK_A_ENC_CH1,         /*!< 7 : A-ENC32 ch1 */
  HAL_CG_CLK_A_ENC_CH2,         /*!< 8 : A-ENC32 ch2 */
  HAL_CG_CLK_A_PMD_CH0,         /*!< 9 : A-PMD ch0 */
  HAL_CG_CLK_A_PMD_CH1,         /*!< 10: A-PMD ch1 */
  HAL_CG_CLK_A_PMD_CH2,         /*!< 11: A-PMD ch2 */
  HAL_CG_CLK_A_VE_CH0,          /*!< 12: A-VE+ ch0 */
  HAL_CG_CLK_RAMP_CH1,          /*!< 13: RAMP ch1  */
  HAL_CG_CLK_OFD,               /*!< 14: OFD */
  HAL_CG_CLK_TRM,               /*!< 15: TRM */
  HAL_CG_CLK_TRGSEL,            /*!< 16: TRGSEL */
  HAL_CG_CLK_DMAC_UA,           /*!< 17: DMAC UnitA */
  HAL_CG_CLK_RSVD_0,            /*!< 18: Reserved */
  HAL_CG_CLK_RSVD_1,            /*!< 19: Reserved */  
  HAL_CG_CLK_RSVD_2,            /*!< 20: Reserved */
  HAL_CG_CLK_RSVD_3,            /*!< 21: Reserved */  
  HAL_CG_CLK_RSVD_4,            /*!< 22: Reserved */
  HAL_CG_CLK_RSVD_5,            /*!< 23: Reserved */  
  HAL_CG_CLK_RSVD_6,            /*!< 24: Reserved */
  HAL_CG_CLK_RSVD_7,            /*!< 25: Reserved */  
  HAL_CG_FC_PERIPH_DNF_A,       /*!< 26: DFN_A */
  HAL_CG_FC_PERIPH_DNF_B,       /*!< 27: DFN_B */  
  HAL_CG_FC_PERIPH_DNF_C,       /*!< 28: DFN_C */
  HAL_CG_CLK_RSVD_8,            /*!< 29: Reserved */
  HAL_CG_CLK_NBDIF,             /*!< 30: NBDIF */
  HAL_CG_CLK_SIWDT_CH0          /*!< 31: SIWDT ch0 */
}HAL_CG_CLK_B;

int HAL_CG_EnableMiddleSpeedClockA(HAL_CG_CLK_A clock);

int HAL_CG_EnableMiddleSpeedClockB(HAL_CG_CLK_B clock);

void HAL_CG_SetFsysSupplyPeriphA(uint32_t Periph, FunctionalState NewState);
void HAL_CG_SetFsysSupplyPeriphB(uint32_t Periph, FunctionalState NewState);
void HAL_CG_SetFcSupplyPeriph(uint32_t Periph, FunctionalState NewState);
void HAL_CG_SetAdcClkSupply(TSB_AD_TypeDef * ADx, FunctionalState NewState);


#endif
