/* THE SOURCE CODE AND ITS
 * RELATED DOCUMENTATION IS PROVIDED "AS IS". TOSHIBA CORPORATION MAKES NO OTHER
 * WARRANTY OF ANY KIND, WHETHER EXPRESS, IMPLIED OR, STATUTORY AND DISCLAIMS ANY
 * AND ALL IMPLIED WARRANTIES OF MERCHANTABILITY, SATISFACTORY QUALITY, NON
 * INFRINGEMENT AND FITNESS FOR A PARTICULAR PURPOSE. THE SOURCE CODE AND
 * DOCUMENTATION MAY INCLUDE ERRORS. TOSHIBA CORPORATION RESERVES THE RIGHT TO
 * INCORPORATE MODIFICATIONS TO THE SOURCE CODE IN LATER REVISIONS OF IT, AND TO
 * MAKE IMPROVEMENTS OR CHANGES IN THE DOCUMENTATION OR THE PRODUCTS OR
 * TECHNOLOGIES DESCRIBED THEREIN AT ANY TIME. TOSHIBA CORPORATION SHALL NOT BE
 * LIABLE FOR ANY DIRECT, INDIRECT OR CONSEQUENTIAL DAMAGE OR LIABILITY ARISING
 * FROM YOUR USE OF THE SOURCE CODE OR ANY DOCUMENTATION, INCLUDING BUT NOT
 * LIMITED TO, LOST REVENUES, DATA OR PROFITS, DAMAGES OF ANY SPECIAL, INCIDENTAL
 * OR CONSEQUENTIAL NATURE, PUNITIVE DAMAGES, LOSS OF PROPERTY OR LOSS OF PROFITS
 * ARISING OUT OF OR IN CONNECTION WITH THIS AGREEMENT, OR BEING UNUSABLE, EVEN IF
 * ADVISED OF THE POSSIBILITY OR PROBABILITY OF SUCH DAMAGES AND WHETHER A CLAIM
 * FOR SUCH DAMAGE IS BASED UPON WARRANTY, CONTRACT, TORT, NEGLIGENCE OR
 * OTHERWISE. (C)Copyright TOSHIBA CORPORATION 2011 All rights reserved
 */

#include "config.h"

/*********************************************************************
************************ Global Data *********************************
*********************************************************************/
#ifdef MEASURE_MOTOR_CONTROL_PROCESS_TIME 
/* The values are in number of CPU cycles fetched from the 32-bit free running counter of the Debug Watch and Trace (DWT) module */

/* These values are used to measure the interrupt loop processing time and occurance rate */
uint32_t u32IRQLoopTimeStart[MAX_CHANNEL], u32IRQLoopTimeStop[MAX_CHANNEL], u32IRQLoopTimePrev[MAX_CHANNEL];
uint32_t u32IRQLoopProcessingTime[MAX_CHANNEL], u32IRQLoopOccuranceRate[MAX_CHANNEL]; 

/* These values are used to measure the control loop processing time and occurance rate */
uint32_t u32CtrlLoopTimeStart[MAX_CHANNEL], u32CtrlLoopTimeStop[MAX_CHANNEL], u32CtrlLoopTimePrev[MAX_CHANNEL];
uint32_t u32CtrlLoopProcessingTime[MAX_CHANNEL], u32CtrlLoopOccuranceRate[MAX_CHANNEL]; 

uint32_t u32UART1RXStartTime, u32UART1RXStopTime, u32UART1RXPrevTime, u32UART1RXProcessingTime, u32UART1RXLoopOccuranceRate;
uint32_t u32UART1ERRStartTime, u32UART1ERRStopTime, u32UART1ERRPrevTime, u32UART1ERRProcessingTime,u32UART1ERRLoopOccuranceRate;

uint32_t u32PMD0StartTime, u32PMD0StopTime, u32PMD0PrevTime, u32PMD0ProcessingTime, u32PMD0LoopOccuranceRate;
uint32_t u32PMD1StartTime, u32PMD1StopTime, u32PMD1PrevTime, u32PMD1ProcessingTime, u32PMD1LoopOccuranceRate;
uint32_t u32PMD2StartTime, u32PMD2StopTime, u32PMD2PrevTime, u32PMD2ProcessingTime, u32PMD2LoopOccuranceRate;

#endif /* MEASURE_MOTOR_CONTROL_PROCESS_TIME */

