/* THE SOURCE CODE AND ITS
 * RELATED DOCUMENTATION IS PROVIDED "AS IS". TOSHIBA CORPORATION MAKES NO OTHER
 * WARRANTY OF ANY KIND, WHETHER EXPRESS, IMPLIED OR, STATUTORY AND DISCLAIMS ANY
 * AND ALL IMPLIED WARRANTIES OF MERCHANTABILITY, SATISFACTORY QUALITY, NON
 * INFRINGEMENT AND FITNESS FOR A PARTICULAR PURPOSE. THE SOURCE CODE AND
 * DOCUMENTATION MAY INCLUDE ERRORS. TOSHIBA CORPORATION RESERVES THE RIGHT TO
 * INCORPORATE MODIFICATIONS TO THE SOURCE CODE IN LATER REVISIONS OF IT, AND TO
 * MAKE IMPROVEMENTS OR CHANGES IN THE DOCUMENTATION OR THE PRODUCTS OR
 * TECHNOLOGIES DESCRIBED THEREIN AT ANY TIME. TOSHIBA CORPORATION SHALL NOT BE
 * LIABLE FOR ANY DIRECT, INDIRECT OR CONSEQUENTIAL DAMAGE OR LIABILITY ARISING
 * FROM YOUR USE OF THE SOURCE CODE OR ANY DOCUMENTATION, INCLUDING BUT NOT
 * LIMITED TO, LOST REVENUES, DATA OR PROFITS, DAMAGES OF ANY SPECIAL, INCIDENTAL
 * OR CONSEQUENTIAL NATURE, PUNITIVE DAMAGES, LOSS OF PROPERTY OR LOSS OF PROFITS
 * ARISING OUT OF OR IN CONNECTION WITH THIS AGREEMENT, OR BEING UNUSABLE, EVEN IF
 * ADVISED OF THE POSSIBILITY OR PROBABILITY OF SUCH DAMAGES AND WHETHER A CLAIM
 * FOR SUCH DAMAGE IS BASED UPON WARRANTY, CONTRACT, TORT, NEGLIGENCE OR
 * OTHERWISE. (C)Copyright TOSHIBA CORPORATION 2012 All rights reserved
 */

#include <stdint.h>
#include <stdlib.h>

#include "config.h"
#include "peripherals_control.h"


#ifdef USE_ARDUINO_PWM_CONTROL

#include "adafruit_pwm_servo_driver.h"
#include "FreeRTOS.h"
#include "task.h"

#include TMPM_HEADER_FILE

#if defined __TMPM_4KN__
#include "txz_driver_def.h"
#endif

volatile uint8_t updatePwm;
pwm_para_st pwmPara;
   
/*! \brief  updatePwmChannelParameter
  *
  * Control Task for reaching an absolute position 
  *
  * @param  pvParameters: Channel number
  * @retval None
*/
void updatePwmChannelParameter (uint8_t pwmChannel, uint16_t onTime, uint16_t offTime)
{
  updatePwm=1;
  pwmPara.pwmChannel = pwmChannel;
  pwmPara.onTime = onTime;
  pwmPara.onTime = offTime; 
}
   
   
   
/*! \brief  Peripherals Task
  *
  * Control Task that controls peripherals
  *
  * @param  pvParameters:
  * @retval None
*/
void PeripheralsTask(void* pvParameters)
{
  
  /* initialize Adafruit PWM board with use of internal oscillator */
  Adafruit_Init(0);
  updatePwm = 0;
  
  while( 1 )
  {
    vTaskDelay(100);
    if (0 != updatePwm)
    {
       /* set low */
       ADAFRUIT_SetPWM(pwmPara.pwmChannel, pwmPara.onTime, pwmPara.offTime);
          
        updatePwm = 0;
    }
  }
}

#endif // USE_ARDUINO_PWM_CONTROL
