/* THE SOURCE CODE AND ITS
 * RELATED DOCUMENTATION IS PROVIDED "AS IS". TOSHIBA CORPORATION MAKES NO OTHER
 * WARRANTY OF ANY KIND, WHETHER EXPRESS, IMPLIED OR, STATUTORY AND DISCLAIMS ANY
 * AND ALL IMPLIED WARRANTIES OF MERCHANTABILITY, SATISFACTORY QUALITY, NON
 * INFRINGEMENT AND FITNESS FOR A PARTICULAR PURPOSE. THE SOURCE CODE AND
 * DOCUMENTATION MAY INCLUDE ERRORS. TOSHIBA CORPORATION RESERVES THE RIGHT TO
 * INCORPORATE MODIFICATIONS TO THE SOURCE CODE IN LATER REVISIONS OF IT, AND TO
 * MAKE IMPROVEMENTS OR CHANGES IN THE DOCUMENTATION OR THE PRODUCTS OR
 * TECHNOLOGIES DESCRIBED THEREIN AT ANY TIME. TOSHIBA CORPORATION SHALL NOT BE
 * LIABLE FOR ANY DIRECT, INDIRECT OR CONSEQUENTIAL DAMAGE OR LIABILITY ARISING
 * FROM YOUR USE OF THE SOURCE CODE OR ANY DOCUMENTATION, INCLUDING BUT NOT
 * LIMITED TO, LOST REVENUES, DATA OR PROFITS, DAMAGES OF ANY SPECIAL, INCIDENTAL
 * OR CONSEQUENTIAL NATURE, PUNITIVE DAMAGES, LOSS OF PROPERTY OR LOSS OF PROFITS
 * ARISING OUT OF OR IN CONNECTION WITH THIS AGREEMENT, OR BEING UNUSABLE, EVEN IF
 * ADVISED OF THE POSSIBILITY OR PROBABILITY OF SUCH DAMAGES AND WHETHER A CLAIM
 * FOR SUCH DAMAGE IS BASED UPON WARRANTY, CONTRACT, TORT, NEGLIGENCE OR
 * OTHERWISE. (C)Copyright TOSHIBA CORPORATION 2011-2013 All rights reserved
 */
#ifndef _MOTOR_DEFINE_H_
#define _MOTOR_DEFINE_H_

#include "motor_control.h"

#define MOTOR_POLE_PAIRS               4
#define MOTOR_DIRECTION                2
#define MOTOR_ANGULAR_ACC_MAX_VALUE    60
#define MOTOR_ANGULAR_ACC_MAX_UNIT     RAD_BY_S2
#define MOTOR_TORQUE_FACTOR_VALUE      28
#define MOTOR_TORQUE_FACTOR_UNIT       MNM_BY_A
#define MOTOR_RESISTANCE_VALUE         140
#define MOTOR_RESISTANCE_UNIT          MOHM
#define MOTOR_INDUCTANCE_VALUE         100
#define MOTOR_INDUCTANCE_UNIT          UH
#define MOTOR_SPEED_LIMIT_VALUE        290
#define MOTOR_SPEED_LIMIT_UNIT         HZ
#define MOTOR_SPEED_CHANGE_VALUE       60
#define MOTOR_SPEED_CHANGE_UNIT        HZ
#define MOTOR_POSITION_DELAY_VALUE     200
#define MOTOR_POSITION_DELAY_UNIT      0      /* [ms] */
#define MOTOR_IQ_START_VALUE           1200
#define MOTOR_IQ_START_UNIT            MAMPERE
#define MOTOR_ID_START_VALUE           1200
#define MOTOR_ID_START_UNIT            MAMPERE
#define MOTOR_IQ_LIM_VALUE             1850
#define MOTOR_IQ_LIM_UNIT              MAMPERE
#define MOTOR_ID_LIM_VALUE             1700
#define MOTOR_ID_LIM_UNIT              MAMPERE
#define MOTORID                        "Dunker BG 42x15"
#define MOTOR_ENCODER_TYPE             0
#define MOTOR_ENCODER_USAGE            0
#define MOTOR_ENCODER_COUNT            0
#define MOTOR_ENCODER_MIN_COUNT        0
#define MOTOR_ENCODER_START_COUNT      15000
#define MOTOR_ENCODER_MAX_COUNT        30000
#define MOTOR_ENCODER_LM_APPROACH_RPM  100
#define MOTOR_ENCODER_RECEIVER         3
#define MOTOR_ENCODER_RECEIVER_MODE    1
#define MOTOR_GEAR_FACTOR              1
#define CONTROL_ID_KI_VALUE            4
#define CONTROL_ID_KI_UNIT             0      /* [V/As] */
#define CONTROL_ID_KP_VALUE            3
#define CONTROL_ID_KP_UNIT             0      /* [V/A] */
#define CONTROL_IQ_KI_VALUE            4
#define CONTROL_IQ_KI_UNIT             0      /* [V/As] */
#define CONTROL_IQ_KP_VALUE            3
#define CONTROL_IQ_KP_UNIT             0      /* [V/A] */
#define CONTROL_POSITION_KI_VALUE      2
#define CONTROL_POSITION_KI_UNIT       0      /* [Hz/Vs] */
#define CONTROL_POSITION_KP_VALUE      10000
#define CONTROL_POSITION_KP_UNIT       0      /* [Hz/V] */
#define CONTROL_SPEED_KI_VALUE         10
#define CONTROL_SPEED_KI_UNIT          0      /* [mA/Hz*s] */
#define CONTROL_SPEED_KP_VALUE         10
#define CONTROL_SPEED_KP_UNIT          0      /* [mA/Hz] */
#define SYSTEM_PWM_FREQUENCY_VALUE     12500
#define SYSTEM_PWM_FREQUENCY_UNIT      0      /* [Hz] */
#define SYSTEM_SHUTDOWN_MODE           2
#define SYSTEM_BRAKE_TIME_VALUE        2
#define SYSTEM_BRAKE_TIME_UNIT         0      /* [ms] */
#define SYSTEM_BRAKE_PERCENTAGE_VALUE  0
#define SYSTEM_BRAKE_PERCENTAGE_UNIT   0      /* [%] */
#define SYSTEM_RESTART_MODE            0
#define SYSTEM_STALL_DETECT_VALUE      0
#define SYSTEM_STALL_DETECT_UNIT       0      /* [mV/s] */
#define SYSTEM_OVERTEMPERATURE_VALUE   0
#define SYSTEM_OVERTEMPERATURE_UNIT    0      /* [℃] */
#define SYSTEM_SPEED_CONTROL_MODE      0
#define SYSTEM_SW_OVERVOLTAGE_VALUE    0
#define SYSTEM_SW_OVERVOLTAGE_UNIT     0      /* [V] */
#define SYSTEM_SW_UNDERVOLTAGE_VALUE   0
#define SYSTEM_SW_UNDERVOLTAGE_UNIT    0      /* [V] */
#define SYSTEM_SW_OVERCURRENT_VALUE    0
#define SYSTEM_SW_OVERCURRENT_UNIT     AMPERE
#define SYSTEM_SPEED_REDUCTION_VALUE   100
#define SYSTEM_SPEED_REDUCTION_UNIT    0      /* [%] */


#endif
